Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8281 - Need to specify dhcpd startup options
Summary: Need to specify dhcpd startup options
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-07 21:57 UTC by Jason Tibbitts
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-07-16 13:40:25 UTC


Attachments (Terms of Use)

Description Jason Tibbitts 2000-01-07 21:57:26 UTC
I need to restrict dhcpd to run on a specific interface, and this can only
be done on its initial command line.  It is trivial to do this by modifying
/etc/rd.c/init.d/dhcpd, but this file is not tagged in the RPM as a
configuration file (and indeed shouldn't be) so upgrades may not preserve
it.

It would be great if I could set something like DHCPD_STARTUP_OPTIONS in
/etc/sysconfig/network or /etc/sysconfig/dhcpd instead of modifying an
init.d file manually.

Thanks!

Comment 1 Tobias Ringstrom 2001-04-10 16:48:53 UTC
I think the above is an excellent proposal, but I fail to understand how a bug 
can be NEW for over a year.  Would a patch help?

Comment 2 Elliot Lee 2001-07-16 23:38:22 UTC
Although pump has been the DHCP client impl of choice for a few versions,
rawhide currently uses dhcpcd in a way that would seem to solve this problem
transparently (because dhcpcd is run per-interface, etc.)

Comment 3 Jason Tibbitts 2001-07-16 23:53:30 UTC
The issue was with the DHCP server, not the client.

A machine with two interfaces might serve DHCP to one of them but doing so for
the other could cause serious chaos.  It's no big deal to edit /etc/init.d/dhcpd
to fix this, but it would be nice if there was a supported way to do it without
editing.  Originally I though that an upgrade would wipe the manual changes out,
but that turns out not to be the case, so it's even less of an issue than I
thought it was so long ago.  Editing the startup file has become an automatic
part of setting up any new server for me.

Comment 4 Elliot Lee 2001-07-17 00:03:46 UTC
My mistake on the package.

I have a system that is supposed to serve DHCP on only one of its two
interfaces, and the solution I use is to have an entry corresponding to the
"don't serve DHCP" interface that looks like so:

subnet 207.175.42.0 netmask 255.255.254.0 {
  not authoritative;
}

I seem to vaguely recall having problems getting your approach to work when I
was setting this up, which is why I used this approach.

Anyways, I've added a /etc/sysconfig/dhcpd to dhcp-2.0pl5-6, which should show
up in rawhide soon and give you the option of using your approach.


Note You need to log in before you can comment on or make changes to this bug.